Re: [Rd] compiling R-2.10.0 on solaris - lib_I_dbg_gen.so.1: version `DBG_GEN_5.1' not found

From: Janet Young <jayoung_at_fhcrc.org>
Date: Thu, 12 Nov 2009 17:19:37 -0800

Hi again,

My systems admin guy did come up with a fix after all:

setenv PATH /opt/gcc/bin:/usr/bin:/sbin:/usr/sbin:/usr/sfw/bin:/opt/ sfw/bin:/usr/xpg4/bin:/usr/ccs/bin:/usr/local/bin:/opt/torque/bin:/ home/mrg/bin
setenv LD_LIBRARY_PATH /home/mrg/apps/sparc-sun-solaris-2.10/lib:/usr/ sfw/lib:/opt/sfw/lib
unsetenv R_HOME
./configure R_PAPERSIZE='letter' --prefix='/home/btrask/traskdata' make

(it doesn't work with the --enable-R-shlib option, but I can live without that now)

Janet

On Nov 10, 2009, at 11:37 AM, Janet Young wrote:

> Hi,
>
> I'm having trouble compiling R-2.10.0 (R-patched_2009-11-02.tar.gz)
> on solaris 10 and am hoping for some advice. I'm getting errors
> about having the wrong version of lib_I_dbg_gen.so.1 ("version
> `DBG_GEN_5.1' not found"), when it gets to the step of compiling
> recommended packages (cluster).
>
> I think we do have the right version of lib_I_dbg_gen.so.1 on the
> system somewhere, but we also have older versions in other places. I
> think it may be to do with our system having several versions of gcc
> and lib_I_dbg_gen.so.1 in different places, including some old
> versions, and me not managing to tell R where to find the right one
> - perhaps some modifications to my setenv commands will fix this? I
> also think we might have some non-standard library locations.
>
> I'm not the sysadmin, and I'm a little out of my depth talking about
> libraries etc. I asked our sysadmin for some advice, but for now we
> are drawing a blank. If no-one has any ideas I may be able to ask
> them to spend some more time trying to figure this out.
>
> Here's what I'm doing to try to compile R: (my default path and
> LD_LIBRARY_PATH have never worked for compiling R, hence the setenv
> commands)
>
> ----------------------------
>
> setenv LD_LIBRARY_PATH /opt/SUNW0scgfss/4.0.3/prod/lib:/opt/gcc/lib:/
> opt/gcc/lib/gcc/sparc-sun-solaris2.10:/opt/SUNWspro/lib:/usr/lib:/
> usr/openwin/lib
>
> setenv PATH /opt/gcc/bin:/bin:/sbin:/usr/sbin:/etc:/opt/SUNWspro/
> bin:/usr/ccs/bin:/usr/sfw/bin
>
> unsetenv R_HOME
>
> ./configure --enable-R-shlib R_PAPERSIZE='letter' --prefix='/home/
> btrask/traskdata'
>
> make
>
> ----------------------------
>
> Here's some information on compiler versions, etc, etc
>
> ----------------------------
>
> [72] bedrock:/home/jayoung> uname -a
> SunOS bedrock 5.10 Generic_139555-08 sun4v sparc SUNW,Sun-Fire-T200
>
> [17] bedrock:/home/jayoung> which gcc
> /opt/gcc/bin/gcc
>
> [18] bedrock:/home/jayoung> gcc -v
> Using built-in specs.
> Target: sparc-sun-solaris2.10
> Configured with: /net/tibia/export/bldmstr/nightly/
> 20060817_mars_gcc.s10.opt.tarbuild/src/configure --prefix=/opt/gcc --
> enable-shared --with-system-zlib --enable-checking=release --disable-
> libmudflap --enable-languages=c,c++ --enable-version-specific-
> runtime-libs --with-gxx-include-dir=/opt/gcc/include/c++/4.0.3 --
> with-cpu=v9
> Thread model: posix
> gcc version 4.0.3 (gccfss)
>
> [21] bedrock:/home/jayoung> ldd /opt/gcc/libexec/gcc/sparc-sun-
> solaris2.10/4.0.3/cc1
> lib_I_dbg_gen.so.1 => /opt/SUNW0scgfss/4.0.3/prod/lib/
> lib_I_dbg_gen.so.1
> libsunir.so => /opt/gcc/bin/../../SUNW0scgfss/4.0.3/prod/
> lib/sys/libsunir.so
> libc.so.1 => /usr/lib/libc.so.1
> libmd5.so.1 => /usr/lib/libmd5.so.1
> libdl.so.1 => /usr/lib/libdl.so.1
> libelf.so.1 => /usr/lib/libelf.so.1
> liblni.so.1 => /opt/SUNW0scgfss/4.0.3/prod/lib/sys/
> liblni.so.1
> libm.so.2 => /usr/lib/libm.so.2
> /platform/SUNW,Sun-Fire-T200/lib/libc_psr.so.1
> libmd.so.1 => /usr/lib/libmd.so.1
> /platform/SUNW,Sun-Fire-T200/lib/libmd_psr.so.1
>
> [22] bedrock:/home/jayoung> version /opt/SUNW0scgfss/4.0.3/prod/lib/
> lib_I_dbg_gen.so.1
> version of "/opt/SUNW0scgfss/4.0.3/prod/lib/lib_I_dbg_gen.so.1": Sun
> Debug Information DBG_GEN 5.1.17 gcc2ir_lang 2006/08/17
>
> ----------------------------
>
> And here's the error I get during the make process:
>
> begin installing recommended package cluster
> * installing *source* package 'cluster' ...
> ** libs
> gcc -std=gnu99 -I/home/jayoung/source_codes/R/R-2.10.0/solaris_6/R-
> patched/include -I/usr/local/include -fPIC -g -O2 -c clara.c -o
> clara.o
> ld.so.1: cc1: fatal: lib_I_dbg_gen.so.1: version `DBG_GEN_5.1' not
> found (required by file /opt/gcc/libexec/gcc/sparc-sun-
> solaris2.10/4.0.3/cc1)
> ld.so.1: cc1: fatal: lib_I_dbg_gen.so.1: open failed: No such file
> or directory
> gcc: Internal error: Killed (program cc1)
> Please submit a full bug report to
> <URL:http://forum.sun.com/jive/jorum.jspa?forumID=321>.
> *** Error code 1
> make: Fatal error: Command failed for target `clara.o'
> Current working directory /tmp/RtmpJReZec/R.INSTALL2781446b/cluster/
> src
> ERROR: compilation failed for package 'cluster'
> * removing '/home/jayoung/source_codes/R/R-2.10.0/solaris_6/R-
> patched/library/cluster'
> *** Error code 1
> The following command caused the error:
> MAKE="make" R_LIBS= ../../../bin/R CMD INSTALL --no-lock -l
> "../../../library" cluster.tgz > cluster.ts.out 2>&1 || (cat
> cluster.ts.out && exit 1)
> make: Fatal error: Command failed for target `cluster.ts'
> Current working directory /home/jayoung/source_codes/R/R-2.10.0/
> solaris_6/R-patched/src/library/Recommended
> *** Error code 1
> The following command caused the error:
> make stamp-recommended
> make: Fatal error: Command failed for target `recommended-packages'
> Current working directory /home/jayoung/source_codes/R/R-2.10.0/
> solaris_6/R-patched/src/library/Recommended
> *** Error code 1
> The following command caused the error:
> (cd src/library/Recommended && make)
> make: Fatal error: Command failed for target `stamp-recommended'
>
> -----------------------
>
> On a suggestion from the sysadmin, I also tried doing the
> compilation using a different LD_LIBRARY_PATH setting:
>
> setenv LD_LIBRARY_PATH /opt/SUNWspro/prod/lib:/opt/SUNW0scgfss/4.0.3/
> prod/lib:/opt/gcc/lib:/opt/gcc/lib/gcc/sparc-sun-solaris2.10:/opt/
> SUNWspro/lib:/usr/lib:/usr/openwin/lib
>
> With this setting, I get the same error (fatal: lib_I_dbg_gen.so.1:
> version `DBG_GEN_5.1' not found (required by file /opt/gcc/libexec/
> gcc/sparc-sun-solaris2.10/4.0.3/cc1) during the configure command,
> instead of much later during the make of recommended packages. Here
> is the relevant chunk of config.log:
>
> configure:4685: checking for gcc
> configure:4701: found /opt/gcc/bin/gcc
> configure:4712: result: gcc
> configure:4950: checking for C compiler version
> configure:4957: gcc --version >&5
> sparc-sun-solaris2.10-gcc (GCC) 4.0.3 (gccfss)
> Copyright (C) 2006 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions. There
> is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
> PURPOSE.
>
> configure:4960: $? = 0
> configure:4967: gcc -v >&5
> Using built-in specs.
> Target: sparc-sun-solaris2.10
> Configured with: /net/tibia/export/bldmstr/nightly/
> 20060817_mars_gcc.s10.opt.tarbuild/src/configure
> --prefix=/opt/gcc --enable-shared --with-system-zlib --enable-
> checking=release --disable-libmudfla
> p --enable-languages=c,c++ --enable-version-specific-runtime-libs --
> with-gxx-include-dir=/opt/gcc/i
> nclude/c++/4.0.3 --with-cpu=v9
> Thread model: posix
> gcc version 4.0.3 (gccfss)
> configure:4970: $? = 0
> configure:4977: gcc -V >&5
> gcc: '-V' option must have argument
> configure:4980: $? = 1
> configure:5003: checking for C compiler default output file name
> configure:5030: gcc -I/usr/local/include -L/usr/local/lib
> conftest.c >&5
> ld.so.1: cc1: fatal: lib_I_dbg_gen.so.1: version `DBG_GEN_5.1' not
> found (required by file /opt/gcc
> /libexec/gcc/sparc-sun-solaris2.10/4.0.3/cc1)
> ld.so.1: cc1: fatal: lib_I_dbg_gen.so.1: open failed: No such file
> or directory
> gcc: Internal error: Killed (program cc1)
> Please submit a full bug report to
> <URL:http://forum.sun.com/jive/jorum.jspa?forumID=321>.
> configure:5033: $? = 1
>
> -----------------------
>
>
> This makes me think that when I use my first LD_LIBRARY_PATH setting
> (with SUNW0scgfss first), configure manages to see the correct
> version of lib_I_dbg_gen.so.1 but somehow when it gets to the make
> for cluster package, it sees another, wrong version of
> lib_I_dbg_gen.so.1. Does that make any sense? Is there a way to fix
> it?
>
> thanks in advance for any advice,
>
> Janet Young
>
> -------------------------------------------------------------------
>
> Dr. Janet Young (Trask lab)
>
> Fred Hutchinson Cancer Research Center
> 1100 Fairview Avenue N., C3-168,
> P.O. Box 19024, Seattle, WA 98109-1024, USA.
>
> tel: (206) 667 1471 fax: (206) 667 6524
> email: jayoung ...at... fhcrc.org
>
> http://www.fhcrc.org/labs/trask/
>
> -------------------------------------------------------------------
>
>
>
>
>
>



R-devel_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Fri 13 Nov 2009 - 13:16:13 GMT

This archive was generated by hypermail 2.2.0 : Fri 13 Nov 2009 - 13:20:24 GMT